Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.ee.jta
Class JTAJobRunShell

    java.lang.Object
      org.quartz.listeners.SchedulerListenerSupport
          org.quartz.core.JobRunShell
              org.quartz.ee.jta.JTAJobRunShell

All Implemented Interfaces:
  Runnable, SchedulerListener

    public class JTAJobRunShell

extends JobRunShell

An extension of ``JobRunShell`` that begins an XA transaction before executing the Job, and commits (or rolls-back) the transaction after execution completes.

Author:
  James House
See Also:
  `JobRunShell`

Field Summary

Fields inherited from class org.quartz.core.JobRunShell
`firedTriggerBundle, jec, qs, scheduler, shutdownRequested`

Constructor Summary
`JTAJobRunShell(Scheduler scheduler, TriggerFiredBundle bndle)` Create a JTAJobRunShell instance with the given settings.
`JTAJobRunShell(Scheduler scheduler, TriggerFiredBundle bndle, int timeout)` Create a JTAJobRunShell instance with the given settings.

Method Summary
`protected void` | `begin()`
`protected void` | `complete(boolean successfulExecution)`
`void` | `passivate()` Override passivate() to ensure we always cleanup the UserTransaction.

Methods inherited from class org.quartz.core.JobRunShell
`getLog, initialize, requestShutdown, run, schedulerShuttingdown`

Methods inherited from class org.quartz.listeners.SchedulerListenerSupport
`jobAdded, jobDeleted, jobPaused, jobResumed, jobScheduled, jobsPaused, jobsResumed, jobUnscheduled, schedulerError, schedulerInStandbyMode, schedulerShutdown, schedulerStarted, schedulerStarting, schedulingDataCleared, triggerFinalized, triggerPaused, triggerResumed, triggersPaused, triggersResumed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTAJobRunShell

    public JTAJobRunShell(Scheduler scheduler,
                          TriggerFiredBundle bndle)

  Create a JTAJobRunShell instance with the given settings.

### JTAJobRunShell

    public JTAJobRunShell(Scheduler scheduler,
                          TriggerFiredBundle bndle,
                          int timeout)

  Create a JTAJobRunShell instance with the given settings.

Method Detail

### begin

    protected void begin()
                  throws SchedulerException

  Overrides:
    `begin` in class `JobRunShell`
  Throws:
    `SchedulerException`

### complete

    protected void complete(boolean successfulExecution)
                     throws SchedulerException

  Overrides:
    `complete` in class `JobRunShell`
  Throws:
    `SchedulerException`

### passivate

    public void passivate()

  Override passivate() to ensure we always cleanup the UserTransaction.

  Overrides:
    `passivate` in class `JobRunShell`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.